AgentConnect
Agents

Create an external-memory record

POST
/v1/orgs/{orgId}/agents/{id}/memory/records

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/orgs/string/agents/string/memory/records" \  -H "Content-Type: application/json" \  -d '{    "text": "string"  }'
{  "record": {    "id": "string",    "text": "string",    "score": 0,    "scope": {      "kind": "agent",      "key": "string"    },    "metadata": {      "property1": null,      "property2": null    },    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "provenance": {      "pluginId": "string",      "backendId": "string"    },    "version": "string"  }}